public abstract class Notification extends DirectionsJsonObject
RouteLeg.notifications().| Modifier and Type | Class and Description |
|---|---|
static class |
Notification.Builder
This builder can be used to set the values describing the
Notification. |
| Constructor and Description |
|---|
Notification() |
| Modifier and Type | Method and Description |
|---|---|
static Notification.Builder |
builder()
Create a new instance of this class by using the
Notification.Builder class. |
abstract java.lang.String |
chargingStationId()
Notification charging station id.
|
abstract NotificationDetails |
details()
|
static Notification |
fromJson(java.lang.String json)
Create a new instance of this class by passing in a formatted valid JSON String.
|
abstract java.lang.Integer |
geometryIndex()
Leg-wise position in the coordinate list where the notification occurred, relative to the
start of the leg it's on.
|
abstract java.lang.Integer |
geometryIndexEnd()
Leg-wise end index of the area that violates the request parameter.
|
abstract java.lang.Integer |
geometryIndexStart()
Leg-wise start index of the area that violates the request parameter.
|
abstract java.lang.String |
reason()
Notification reason.
|
abstract java.lang.String |
refreshType()
Notification refresh type.
|
abstract java.lang.String |
subtype()
Notification subtype.
|
abstract Notification.Builder |
toBuilder()
Convert the current
Notification to its builder holding the currently assigned
values. |
abstract java.lang.String |
type()
Notification type.
|
static com.google.gson.TypeAdapter<Notification> |
typeAdapter(com.google.gson.Gson gson)
Gson type adapter for parsing Gson to this class.
|
getUnrecognizedJsonProperties, getUnrecognizedPropertiesNames, getUnrecognizedProperty, toJsonpublic static Notification.Builder builder()
Notification.Builder class.Notification.Builder for creating a new instance@NonNull public abstract java.lang.String type()
DirectionsCriteria.NotificationsTypeCriteria.@SerializedName(value="refresh_type") @NonNull public abstract java.lang.String refreshType()
DirectionsCriteria.NotificationsRefreshTypeCriteria.@Nullable public abstract java.lang.String subtype()
DirectionsCriteria.NotificationsSubtypeCriteria,
depending on type().@SerializedName(value="geometry_index_start") @Nullable public abstract java.lang.Integer geometryIndexStart()
DirectionsCriteria.NOTIFICATION_SUBTYPE_MAX_HEIGHT,
DirectionsCriteria.NOTIFICATION_SUBTYPE_MAX_WIDTH,
DirectionsCriteria.NOTIFICATION_SUBTYPE_MAX_WEIGHT,
DirectionsCriteria.NOTIFICATION_SUBTYPE_UNPAVED,
DirectionsCriteria.NOTIFICATION_SUBTYPE_POINT_EXCLUSION,
DirectionsCriteria.NOTIFICATION_SUBTYPE_COUNTRY_BORDER_CROSSING,
DirectionsCriteria.NOTIFICATION_SUBTYPE_STATE_BORDER_CROSSING
otherwise it is null@SerializedName(value="geometry_index") @Nullable public abstract java.lang.Integer geometryIndex()
DirectionsCriteria.NOTIFICATION_SUBTYPE_EV_INSUFFICIENT_CHARGE otherwise it is null.@SerializedName(value="geometry_index_end") @Nullable public abstract java.lang.Integer geometryIndexEnd()
DirectionsCriteria.NOTIFICATION_SUBTYPE_MAX_HEIGHT,
DirectionsCriteria.NOTIFICATION_SUBTYPE_MAX_WIDTH,
DirectionsCriteria.NOTIFICATION_SUBTYPE_MAX_WEIGHT,
DirectionsCriteria.NOTIFICATION_SUBTYPE_UNPAVED,
DirectionsCriteria.NOTIFICATION_SUBTYPE_POINT_EXCLUSION,
DirectionsCriteria.NOTIFICATION_SUBTYPE_COUNTRY_BORDER_CROSSING,
DirectionsCriteria.NOTIFICATION_SUBTYPE_STATE_BORDER_CROSSING
otherwise it is null@Nullable public abstract NotificationDetails details()
@Nullable public abstract java.lang.String reason()
type() is
DirectionsCriteria.NOTIFICATION_TYPE_ALERT and subtype() is
DirectionsCriteria.NOTIFICATION_SUBTYPE_EV_STATION_UNAVAILABLE.@Nullable @SerializedName(value="station_id") public abstract java.lang.String chargingStationId()
type() is
DirectionsCriteria.NOTIFICATION_TYPE_ALERT and subtype() is
DirectionsCriteria.NOTIFICATION_SUBTYPE_EV_STATION_UNAVAILABLE.public abstract Notification.Builder toBuilder()
Notification to its builder holding the currently assigned
values. This allows you to modify a single property and then rebuild the object resulting in
an updated and modified Notification.Notification.Builder with the same values set to match the ones defined
in this Notificationpublic static com.google.gson.TypeAdapter<Notification> typeAdapter(com.google.gson.Gson gson)
gson - the built Gson objectpublic static Notification fromJson(java.lang.String json)
json - a formatted valid JSON string defining a Notification